Page 1 of 2 12 LastLast
Results 1 to 10 of 19

Thread: amarok 2 under 11.2 M5 64bit dosen't play mp3

  1. #1
    Join Date
    Aug 2009
    Location
    Poland, Tarnw
    Posts
    18

    Unhappy amarok 2 under 11.2 M5 64bit dosen't play mp3

    I find out some posts regarding to 11.1 telling me I have to install libxine1-codecs from packman to solve this problem, but I can't resolve dependices (libcdio.7.so).

    I've got installed:
    libxine1
    libxine1-pulse
    phonon-backend-xine
    xine-ui

    Amarok play format another than mp3. Another programs e.g. SMPlayer plays mp3, but amarok don't

    Anybody know how to solve it?

    Thanks

  2. #2
    Join Date
    Feb 2009
    Location
    Canada
    Posts
    131

    Default Re: amarok 2 under 11.2 M5 64bit dosen't play mp3

    Packman's libxine1-codecs is the solution. If there are dependency problems you'll have to keep on using SMPlayer.

    The thing to know is how the different pieces of software are related. SMPlayer is a front-end for MPlayer, which has its own built-in codecs. Amarok relies on KDE Phonon back-ends. There are two back-ends so far, Xine & GStreamer. If those back-ends lack the codecs, every piece of software that relies on them will lack codecs.

    So as it stands right now, every proper KDE4 app on your desktop will lack the ability to play certain files. Either wait for the 11.2 Packman repo to start or continue using SMPlayer (I'm using VLC myself, they already have a 11.2 repo).
    Primary OS: openSUSE 11.4
    Testing OS: openSUSE 12.1
    oS TCT

  3. #3
    Join Date
    Aug 2009
    Location
    Poland, Tarnw
    Posts
    18

    Default Re: amarok 2 under 11.2 M5 64bit dosen't play mp3

    I removed mplayer+smplayer and install VLC instead, but it still returns the same error.

    No one package provide libcdio.so.7()(64bit) which is required by libxine1-codecs-1.1.16.3-0.pm.3.x86_64
    And the only solution I have to select is: do not install libxine1-codecs. So I guess that there is no problem kind of one package interferes to another one but problem with providing package dependence.

    I search in yast for libcdio and I only found libcdio10, not 7.

    I don't like to use GStreamer because it always makes problems. Xine always works perfect for me.

  4. #4
    Join Date
    Feb 2009
    Location
    Canada
    Posts
    131

    Default Re: amarok 2 under 11.2 M5 64bit dosen't play mp3

    Perhaps I wasn't clear enough in my explanation.

    As far as codecs goes, Amarok is totally separate from VLC and MPlayer. It doesn't matter if you have MPlayer, VLC or both installed - they will not change anything concerning Amarok.

    The dependency chain for codecs in Amarok 2 is like this:
    Amarok -> Phonon -> Xine (or GStreamer)

    If Xine lacks the codecs, Amarok will not be able to play the file.
    If GStreamer lacks the codecs, Amarok will not be able to play the file.

    That dependency chain is the same for any proper KDE 4 application. That means JuK will not be able to play MP3 files either.

    Since you cannot install the codecs for Xine, your options are:
    A) Go without MP3 files
    B) Use GStreamer and get the appropriate codecs for it
    C) Use a different program that comes with its own codecs to play MP3 files

    If you select C, your options are MPlayer or VLC. No matter which one you choose (MPlayer or VLC), Amarok will not gain any codecs. The idea here is replacing Amarok, not finding a way to enhance its abilities (which is what the libxine1-codecs package would do).
    Primary OS: openSUSE 11.4
    Testing OS: openSUSE 12.1
    oS TCT

  5. #5
    Join Date
    Aug 2009
    Location
    Poland, Tarnw
    Posts
    18

    Default Re: amarok 2 under 11.2 M5 64bit dosen't play mp3

    Quote Originally Posted by ReferenceSeete View Post
    A) Go without MP3 files
    B) Use GStreamer and get the appropriate codecs for it
    C) Use a different program that comes with its own codecs to play MP3 files
    Sorry @ReferenceSeete I wrong understand what you said, my mistake.

    A) My intent is to use 11.2 M5 as primary OS so I have to be able to play mp3 files.
    B) Well, before I created this thread I try to play mp3 via GStreamer (I put GStreamer over xine in Phonon playback chain) and it dosen't work.
    C) Amarok is my favorite one. I wolud like to use it if that is possible. So far Im using SMplayer/VLC instead of Amarok.


    Have I got any other option to make GStreamer works or satysfied Xine dependence, to be able to use Amarok?

    Thanks for help

  6. #6
    Join Date
    Feb 2009
    Location
    Canada
    Posts
    131

    Default Re: amarok 2 under 11.2 M5 64bit dosen't play mp3

    If you want to try GStreamer with Amarok, then you'll need the following packages:

    phonon-backend-gstreamer-0_10
    gstreamer-0_10-plugins-bad
    gstreamer-0_10-plugins-ugly
    [Make sure you get the Packman versions of the 'gstreamer-0_10-plugins-**** packages]


    You'll also need to change the settings for Phonon's backend.
    Open System Settings (called "Personal Settings" in the menu).
    Select "Multimedia"
    Select the "Backend" tab
    Make sure that "GStreamer" is preferred over "Xine"

    Your preference for Xine over GStreamer is well-founded if you are a KDE user, however this is the best chance for MP3 support in Amarok if libxine1-codecs cannot install for you.

    I hope this solution works for you.
    Primary OS: openSUSE 11.4
    Testing OS: openSUSE 12.1
    oS TCT

  7. #7

    Default Re: amarok 2 under 11.2 M5 64bit dosen't play mp3

    Same problem here, cannot upgrade libxine1 or install gstreamer plugins from packman.
    Code:
    nothing provides libMagickCore.so.1 needed by libxine1-1.1.16.3-0.pm.3.i586
    nothing provides libmysqlclient.so.15 needed by gstreamer-0_10-plugins-bad-0.10.13-42.pm.1.i586
    Mplayer runs everything so I don't mind.
    This will probably get fixed once packman builds a 11.2 repo.

  8. #8
    Join Date
    Aug 2009
    Location
    Poland, Tarnw
    Posts
    18

    Default Re: amarok 2 under 11.2 M5 64bit dosen't play mp3

    If I try to install gstreamer-0_10-plugins-ugly from packman yast throw me the same error as like for libxine1-codecs - missing libcdio.so.7()(64bit). As for gstreamer-0_10-plugins-bad (also from packman) there is missing libmysqlclient.so.15()(64bit).

    YaST don't throw any errors if Im install versions from openSUSE-11.2 repo. However it dosen't works I don't forget to set GStreamer over Xine.

    @finders I see you've got i586 OS, You may try to install gstreamer-0_10-plugins-* from openSUSE-11.2 repo instead packman and see what happen on i586.

  9. #9

    Default Re: amarok 2 under 11.2 M5 64bit dosen't play mp3

    Quote Originally Posted by beynar View Post
    @finders I see you've got i586 OS, You may try to install gstreamer-0_10-plugins-* from openSUSE-11.2 repo instead packman and see what happen on i586.
    That fixed the sound in amarok, cheers.

  10. #10
    Join Date
    Aug 2009
    Location
    Poland, Tarnw
    Posts
    18

    Default Re: amarok 2 under 11.2 M5 64bit dosen't play mp3

    Quote Originally Posted by finders View Post
    That fixed the sound in amarok, cheers.
    only in i586, unfortunately not in 64bit OS.

Page 1 of 2 12 LastLast

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •